import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import CiliumLogoLight from './CiliumLogoLight';
import CiliumLogoDark from './CiliumLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const CiliumLogoSvg = forwardRef(function CiliumLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(CiliumLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(CiliumLogoLight, Object.assign({}, props, { ref: ref })));
});
export default CiliumLogoSvg;
